<div id="opopop-container">
	<div id="opopop">

		<div class="opopop__title">
			{if $opopop_price}
				Un emballage <strong>zéro-déchet</strong> ?
			{else}
				Un emballage <strong>consigné</strong> ?
			{/if}
		</div>

		<img class="opopop__picture" src="/modules/opopopreusablepackaging/opopop-banner.jpg">

		<div class="opopop__description">

			<p>
				{Configuration::get('PS_SHOP_NAME')} vous propose de recevoir votre commande avec <strong>Opopop, un emballage
				{if $opopop_price}
					zéro-déchet</strong>, pour une participation de {$opopop_price} €.
				{else}
					consigné</strong>.
				{/if}
			</p>

			<p>Après réception de vos articles, vous pourrez glisser la pochette Opopop dans une boîte postale publique jaune afin qu'elle soit réutilisée.</p>

			<p>Pour confirmer votre demande, vous devrez <strong>renseigner gratuitement une consigne</strong> sur la plateforme Opopop après votre achat.</p>

		</div>

		<div class="opopop__buttons">
			<a class="opopop__button opopop__no">
				Non, merci.
			</a>
			<form action="" method="post" id="add-to-cart-or-refresh">
				<input type="hidden" name="id_product" value="{$opopop_product_id}">
				<input type="hidden" name="token" value="{$static_token}">
				<button class="opopop__button opopop__button-primary opopop__yes add-to-cart" data-button-action="add-to-cart">
					Oui, je veux essayer !
					{if $opopop_price}
						(+{$opopop_price}&nbsp;{$currency.sign})
					{/if}
				</button>
			</form>
		</div>

	</div>
</div>

<style>

#opopop-container {
	position: fixed;
	left: 0; top: 0;
	height: 100%; width: 100%;
	z-index: 10000000;
	background-color: rgba(0,0,0,.2);
	--opopop-simple-shadow: 2px 2px 20px rgba(0,0,0,.2);
	--opopop-primary-color: #F9A47F;
}

#opopop-container:not(.displayed) { display: none; }

#opopop {
	width: min(95%, 800px);
	margin: auto;
	margin-top: 2rem;
	background-color: rgba(255,255,255,.95);
	border-radius: .5rem;
	padding: 2.5rem 2rem;
	box-shadow: var(--opopop-simple-shadow);
	font-size: 16px;
}

@media (min-width: 768px) {
	#opopop { margin-top: 60px; font-size: 17px; }
}

.opopop__picture {
	border-radius: .5rem;
	max-width: 100%;
}

.opopop__title {
	font-size: 1.3em;
	font-weight: bold;
	margin-bottom: 2rem;
}

.opopop__description {
	margin: 2rem 0;
}

.opopop__description p {
	font-size: inherit;
	line-height: 1.3em;
	text-align: left;
}

.opopop__buttons {
	display: grid;
	grid-template-columns: 1fr 1fr;
	grid-gap: 1rem;
	text-align: center;
}

.opopop__button {
	border: 2px solid #ccc;
	color: #888;
	border-radius: 2em;
	cursor: pointer;
	padding: .5rem 1rem;
	min-width: 100%;
}

.opopop__button:hover {
	text-decoration: underline;
	text-decoration-thickness: 2px;
}

.opopop__button-primary {
	font-weight: bold;
	border: 2px solid var(--opopop-primary-color);
	background-color: var(--opopop-primary-color);
	color: white;
}

</style>



<script>

var opopop__enable = true;
{foreach $cart.products as $product}
	if ({$product.id} == 20) {
		console.debug("Opopop product already in cart.")
		opopop__enable = false;
	}
{/foreach}

if (opopop__enable == true) {

	var opopop = {

		checkout_url: window.location.hostname + '/commande',
		checkout_button: document.querySelector('.checkout.cart-detailed-actions .btn.btn-primary'),
		modal: document.querySelector('#opopop-container'),
		no: document.querySelector('.opopop__no'),
		yes: document.querySelector('.opopop__yes'),

	}

	function opopopHijackOrderButton() {
		//
	}

	function shouldDisplayOpopopModal() {

		var should = true

		// Check if Opopop is already in the cart
		// we do this by looking at each product name, and if "opopop" comes up, return false
		document.querySelectorAll('.product-line-info a.label').forEach(product => {
			var productName = product.innerText.toLowerCase()
			if (productName.includes('opopop')) {
				should = false
			}
		})

		// If no reason to disable Opopop, return true !
		return should;

	}

	function displayOpopopModal() {
		opopop.modal.classList.add('displayed')
	}

	if (opopop.checkout_button) {
		opopop.no.href = opopop.checkout_button.href
		opopop.checkout_button.onclick = event => {
			console.log(shouldDisplayOpopopModal())
			if (shouldDisplayOpopopModal()) {
				event.preventDefault()
				displayOpopopModal()
			}
		}
	}

}


var _smarty_console = null

</script>


{debug}